Bug 111927 - XML output for SimpleXMLGenerator skips duplicate elements
XML output for SimpleXMLGenerator skips duplicate elements
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-11 13:02 EST by Scott Seago
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 10:37:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Seago 2003-12-11 13:02:59 EST
Description of problem:
If an associated item is duplicated in the XML generated for a Content
Item (say as a related link and as a featured item on a home page
component), the second instance of the item has only the OID (none of
the content). In effect, this means that the element will be skipped
on the output page.

London change 38715 resolves this by recusively copying the duplicate
element, unless it is a reference to a parent of the item.

Version-Release number of selected component (if applicable):
5.2,6.0,rickshaw

How reproducible:
always

Steps to Reproduce:
1.create a content item which references another item more than once
2.preview the item
3.second instance of the item is missing detail

Note You need to log in before you can comment on or make changes to this bug.